package ru.yandex.autotests.direct.web.objects.groups;

import java.util.List;

import ru.yandex.autotests.direct.web.objects.adjustment.rates.HierarchicalMultipliersWeb;
import ru.yandex.autotests.irt.testutils.json.JsonUtils;

/**
 * Created by ssdmitriev on 20.11.15.
 */
public class BaseGroupWeb {
    private HierarchicalMultipliersWeb hierarchicalMultipliersWeb;

    private Long adGroupId;

    private String adGroupName;

    private List<String> geoTags;


    private String tags;

    private List<String> minusKeywords;

    public HierarchicalMultipliersWeb getHierarchicalMultipliersWeb() {
        return hierarchicalMultipliersWeb;
    }

    public void setHierarchicalMultipliersWeb(HierarchicalMultipliersWeb hierarchicalMultipliersWeb) {
        this.hierarchicalMultipliersWeb = hierarchicalMultipliersWeb;
    }

    public List<String> getMinusKeywords() {
        return minusKeywords;
    }

    public void setMinusKeywords(List<String> minusKeywords) {
        this.minusKeywords = minusKeywords;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public List<String> getGeoTags() {
        return geoTags;
    }

    public void setGeoTags(List<String> geoTags) {
        this.geoTags = geoTags;
    }

    public String getAdGroupName() {
        return adGroupName;
    }

    public void setAdGroupName(String adGroupName) {
        this.adGroupName = adGroupName;
    }

    public Long getAdGroupId() {
        return adGroupId;
    }

    public void setAdGroupId(Long adGroupId) {
        this.adGroupId = adGroupId;
    }

    public String toString() {
        return JsonUtils.toString(this);
    }
}
